<?php
	
	$patterns=array();
	$patterns[0]='none';
	for($i=1; $i<=10; $i++){
		$patterns[]='pattern'.$i.'.jpg';
	}

	$deep_fonts_array = deep_fonts_array_builder();
	
	$deep_style_general_options= array( array(
		"name" => "Header and Top Bar",
		"type" => "title",
	),
	
	array(
		"type" => "open",
		"subtitles"=>array(array("id"=>"header-light", "name"=>"Header Light (use Dark Logo)"), array("id"=>"header-dark", "name"=>"Header Dark (use Light Logo)"), array("id"=>"topbar", "name"=>"Top Bar"), array("id"=>"headerbutton", "name" => "Header Button"), array("id"=>"socialicons", "name" => "Social Icons"))
	),
	
	/* ------------------------------------------------------------------------*
	 * HEADER LIGHT
	 * ------------------------------------------------------------------------*/
	
	array(
		"type" => "subtitle",
		"id" => "header-light"
	),
	
	array(
		"name" => "Background Type",
		"id" => "deep_headerbg_type_light",
		"type" => "select",
		"options" => array(array('id'=>'color','name'=>'Color'), array('id'=>'image','name'=>'Image'), array('id'=>'pattern','name'=>'Pattern'), array('id'=>'custom_pattern','name'=>'Custom Pattern')),
		"std" => 'color'
	),
	
	array(
		"name" => "Image",
		"id" => "deep_headerbg_image_light",
		"type" => "upload_from_media",
	),
	
	array(
		"name" => "Color",
		"id" => "deep_headerbg_color_light",
		"type" => "color",
		"std" => 'ffffff'
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_headerbg_opacity_light",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Pattern",
		"id" => "deep_headerbg_pattern_light",
		"type" => "pattern",
		"options" => $patterns,
	),
	
	array(
		"name" => "Custom Pattern",
		"id" => "deep_headerbg_custom_pattern_light",
		"type" => "upload_from_media"
	),
	
	array(
		"name" => "Borders Color",
		"id" => "deep_header_border_color_light",
		"type" => "color",
		"std" => 'ffffff'
	),
	
	array(
		"name" => "Borders Opacity",
		"id" => "deep_header_border_opacity_light",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Icons Color",
		"id" => "deep_header_icons_color_light",
		"type" => "color",
		"desc" => "This color applies to the social icons, search icons and WooCommerce icon.",
		"std" => "000000"
	),
	
	array(
		"name" => "Icons Hover Color",
		"id" => "deep_header_icons_hover_color_light",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Header After Scroll & Shrinked</h3>"
	),
	
	array(
		"name" => "Background Type",
		"id" => "deep_headerbg_after_scroll_type_light",
		"type" => "select",
		"options" => array(array('id'=>'color','name'=>'Color'), array('id'=>'image','name'=>'Image'), array('id'=>'pattern','name'=>'Pattern')),
		"std" => 'color'
	),
	
	array(
		"name" => "Image",
		"id" => "deep_headerbg_after_scroll_image_light",
		"type" => "upload_from_media",
	),
	
	array(
		"name" => "Color",
		"id" => "deep_headerbg_after_scroll_color_light",
		"type" => "color",
		"std" => 'ffffff'
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_headerbg_after_scroll_opacity_light",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name" => "Pattern",
		"id" => "deep_headerbg_after_scroll_pattern_light",
		"type" => "pattern",
		"options" => $patterns,
	),
	
	array(
		"name" => "Custom Pattern",
		"id" => "deep_headerbg_after_scroll_custom_pattern_light",
		"type" => "upload_from_media",
	),
	
	/* 2020 borders on header */
	array(
		"name" => "Borders Color",
		"id" => "deep_header_after_scroll_border_color_light",
		"type" => "color",
		"std" => 'ffffff'
	),
	
	array(
		"name" => "Borders Opacity",
		"id" => "deep_header_after_scroll_border_opacity_light",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Icons Color",
		"id" => "deep_header_after_scroll_icons_color_light",
		"type" => "color",
		"desc" => "This applies to the social icons, search icons and WooCommerce icon.",
		"std" => "000000"
	),
	
	array(
		"name" => "Icons Hover Color",
		"id" => "deep_header_after_scroll_icons_hover_color_light",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"type" => "close"
	),
	
	/* ------------------------------------------------------------------------*
	 * HEADER DARK
	 * ------------------------------------------------------------------------*/
	
	array(
		"type" => "subtitle",
		"id" => "header-dark"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Header</h3>"
	),
	
	array(
		"name" => "Background Type",
		"id" => "deep_headerbg_type_dark",
		"type" => "select",
		"options" => array(array('id'=>'color','name'=>'Color'), array('id'=>'image','name'=>'Image'), array('id'=>'pattern','name'=>'Pattern'), array('id'=>'custom_pattern','name'=>'Custom Pattern')),
		"std" => 'color'
	),
	
	array(
		"name" => "Image",
		"id" => "deep_headerbg_image_dark",
		"type" => "upload_from_media",
	),
	
	array(
		"name" => "Color",
		"id" => "deep_headerbg_color_dark",
		"type" => "color",
		"std" => '101010'
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_headerbg_opacity_dark",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Pattern",
		"id" => "deep_headerbg_pattern_dark",
		"type" => "pattern",
		"options" => $patterns,
	),
	
	array(
		"name" => "Custom Pattern",
		"id" => "deep_headerbg_custom_pattern_dark",
		"type" => "upload_from_media"
	),
	
	/* 2020 borders on header */
	array(
		"name" => "Borders Color",
		"id" => "deep_header_border_color_dark",
		"type" => "color",
		"std" => '101010'
	),
	
	array(
		"name" => "Borders Opacity",
		"id" => "deep_header_border_opacity_dark",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Icons Color",
		"id" => "deep_header_icons_color_dark",
		"type" => "color",
		"desc" => "This color applies to the social icons, search icons and WooCommerce icon.",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Icons Hover Color",
		"id" => "deep_header_icons_hover_color_dark",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Header After Scroll & Shrinked</h3>"
	),
	
	array(
		"name" => "Background Type",
		"id" => "deep_headerbg_after_scroll_type_dark",
		"type" => "select",
		"options" => array(array('id'=>'color','name'=>'Color'), array('id'=>'image','name'=>'Image'), array('id'=>'pattern','name'=>'Pattern')),
		"std" => 'color'
	),
	
	array(
		"name" => "Image",
		"id" => "deep_headerbg_after_scroll_image_dark",
		"type" => "upload_from_media",
	),
	
	array(
		"name" => "Color",
		"id" => "deep_headerbg_after_scroll_color_dark",
		"type" => "color",
		"std" => '101010'
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_headerbg_after_scroll_opacity_dark",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name" => "Pattern",
		"id" => "deep_headerbg_after_scroll_pattern_dark",
		"type" => "pattern",
		"options" => $patterns,
	),
	
	array(
		"name" => "Custom Pattern",
		"id" => "deep_headerbg_after_scroll_custom_pattern_dark",
		"type" => "upload_from_media",
	),
	
	/* 2020 borders on header */
	array(
		"name" => "Borders Color",
		"id" => "deep_header_after_scroll_border_color_dark",
		"type" => "color",
		"std" => '101010'
	),
	
	array(
		"name" => "Borders Opacity",
		"id" => "deep_header_after_scroll_border_opacity_dark",
		"type" => "opacity_slider",
		"std" => "0"
	),
	
	array(
		"name" => "Icons Color",
		"id" => "deep_header_after_scroll_icons_color_dark",
		"type" => "color",
		"desc" => "This applies to the social icons, search icons and WooCommerce icon.",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Icons Hover Color",
		"id" => "deep_header_after_scroll_icons_hover_color_dark",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"type" => "close"
	),
	
	/* ------------------------------------------------------------------------*
	 * TOPBAR
	 * ------------------------------------------------------------------------*/
	array(
		"type" => "subtitle",
		"id" => "topbar"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Top Bar</h3>"
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_topbar_bg_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_topbar_bg_opacity",
		"type" => "opacity_slider",
		"std" => "95"
	),
	
	array(
		"name" => "Text Color",
		"id" => "deep_topbar_text_color",
		"type" => "color",
		"std" => "cacaca"
	),
	
	array(
		"name" => "Links Color",
		"id" => "deep_topbar_links_color",
		"type" => "color",
		"std" => "cacaca"
	),
	
	array(
		"name" => "Links Hover Color",
		"id" => "deep_topbar_links_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Social Icons Color",
		"id" => "deep_topbar_social_color",
		"type" => "color",
		"std" => "cacaca"
	),
	
	array(
		"name" => "Social Icons Hover Color",
		"id" => "deep_topbar_social_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Borders Color",
		"id" => "deep_topbar_borders_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Top Bar Submenu Items</h3>"
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_topbar_submenu_bg_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Background Hover Color",
		"id" => "deep_topbar_submenu_bg_hover_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Text Color",
		"id" => "deep_topbar_submenu_text_color",
		"type" => "color",
		"std" => "cacaca"
	),
	
	array(
		"name" => "Text Hover Color",
		"id" => "deep_topbar_submenu_text_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"type" => "close"
	),
	
	
	//header button
	array(
		"type" => "subtitle",
		"id" => "headerbutton"
	),

	
	array(
		"type" => "documentation",
		"text" => '<h3>Button</h3>'
	),
	
	array(
		"name" => "Button Style",
		"id" => "button_style",
		"type" => "select",
		"options" => array(array('id'=>'text_style','name'=>'Only Text Style'), array('id'=>'special_button_style','name'=>'Special Button Style'), array('id'=>'button_style','name'=>'Button Style')),
		"std" => 'special_button_style'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_header_button_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_header_button_font_size",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Choose the size of your &lt;a&gt; tag."
	),
	
	
	array(
		"name" => "Add Icon Arrow",
		"id" => "deep_header_button_icon",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Add Ellipse",
		"id" => "deep_header_button_ellipse",
		"type" => "checkbox",
		"std" => "off"
	),
	
	array(
		"name" => "Add Border Bottom",
		"id" => "deep_header_button_border_bottom",
		"type" => "checkbox",
		"std" => "off"
	),
	
	array(
		"name" => "Border Radius",
		"id" => "deep_header_button_border_radius",
		"type" => "text",
		"std" => "0px"
	),
	
	array(
		"name" => "Border Radius Hover",
		"id" => "deep_header_button_border_radius_hover",
		"type" => "text",
		"std" => "0px"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_header_button_letter_spacing",
		"type" => "text",
		"std" => "2px"
	),
	
	
	array(
		"type" => "documentation",
		"text" => '<h3>Button Light Header</h3>'
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_header_button_bg_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Background Hover Color",
		"id" => "deep_header_button_bg_hover_color",
		"type" => "color",
		"std" => "101010"
	),
	
	array(
		"name" => "Text Color",
		"id" => "deep_header_button_text_color",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"name" => "Text Hover Color",
		"id" => "deep_header_button_text_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	

	
	array(
		"name" => "Border Color",
		"id" => "deep_header_button_border_color",
		"type" => "color",
		"std" => "101010"
	),
	
	array(
		"name" => "Border Color Hover",
		"id" => "deep_header_button_border_color_hover",
		"type" => "color",
		"std" => "101010"
	),
	
	
	array(
		"type" => "documentation",
		"text" => '<h3>Button Dark Header</h3>'
	),
	
	array(
		"name" => "Background Color",
		"id" => "dark_deep_header_button_bg_color",
		"type" => "color",
		"std" => "transparent"
	),
	
	array(
		"name" => "Background Hover Color",
		"id" => "dark_deep_header_button_bg_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Text Color",
		"id" => "dark_deep_header_button_text_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Text Hover Color",
		"id" => "dark_deep_header_button_text_hover_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Border Color",
		"id" => "dark_deep_header_button_border_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Border Color Hover",
		"id" => "dark_deep_header_button_border_color_hover",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"type" => "close"
	),
	
	
	//header button
	array(
		"type" => "subtitle",
		"id" => "socialicons"
	),
	
	array(
		"name" => "Social Icons with border?",
		"id" => "header_deep_show_social_border",
		"type" => "checkbox",
		"std" => 'off'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Social Icons colors on Light Header</h3>'
	),
	
	array(
		"name" => "Social Icons Color",
		"id" => "header_light_social_icons_color",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"name" => "Social Icons Hover Color",
		"id" => "header_light_social_icons_hover_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Social Icons Border Color",
		"id" => "header_light_social_icons_color_bg",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"name" => "Social Icons Hover Background & Border Color",
		"id" => "header_light_social_icons_hover_color_bg",
		"type" => "color",
		"std" => "000000"
	),	
	
	array(
		"type" => "documentation",
		"text" => '<h3>Social Icons colors on Dark Header</h3>'
	),
	
	
	array(
		"name" => "Social Icons Color",
		"id" => "header_dark_social_icons_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Social Icons Hover Color",
		"id" => "header_dark_social_icons_hover_color",
		"type" => "color",
		"std" => "000000"
	),
	
	array(
		"name" => "Social Icons Background Color",
		"id" => "header_dark_social_icons_color_bg",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Social Icons Hover Background & Border Color",
		"id" => "header_dark_social_icons_hover_color_bg",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"type" => "close"
	),
	//endof header button
	
	/*close array*/
	
	array(
		"type" => "close"
	));
	
	deep_add_style_options($deep_style_general_options);
	
?>